All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap
Interface HierarchyInterface

All Superinterfaces:
  MetadataEntityInterface

All Known Implementing Classes:
  Hierarchy

    public interface HierarchyInterface

extends MetadataEntityInterface

Represents a hierarchy in a multidimensional cube. In addition to the basic information about the hierarchy itself, the parent and child interfaces can also be retrieved directly from the HierarchyInterface. The getDimension() method returns the DimensionInterface which parents this hierarchy, and the levels can be retrieved with getLevels(). The hierarchy may also be bound to an instance of the MetadataInterface, which is accessible from the getMetadata() method.

See Also:
  `MetadataInterface`, `DimensionInterface`, `LevelInterface`

Field Summary
`static int` | `FULLY_BALANCED_STRUCTURE` fully balanced structure type of this hierarhy
`static int` | `NETWORK_STRUCTURE` Netwrok structure type of this hierarhy
`static int` | `RAGGED_BALANCED_STRUCTURE` Ragged structure type of this hierarhy
`static int` | `UNBALANCED_STRUCTURE` Unbalanced structure type of this hierarhy
`static int` | `UNSPECIFIED_STRUCTURE` Unspecified structure type of this hierarhy

Method Summary
`CubeInterface` | `getCube()` Returns the name of the cube to which the hierarchy belongs.
`MemberInterface` | `getDefaultMember()` Returns the default member for this hierarchy.
`DimensionInterface` | `getDimension()` Returns the dimension that this hierarchy is a child of.
`Filter` | `getFilter()` Returns a copy of the Filter object that was used to obtain this HierarchyInterface.
`LevelInterface[]` | `getLevels()` Returns the levels associated with this hierarchy.
`int` | `getMemberCount()` Returns the number of members in this hierarchy
`MemberInterface[]` | `getMembers()` Get all the members that belong to this hierarchy.
`int` | `getStructure()` Get the sturcture type of this hierarchy.
`MemberInterface` | `getTopMember()` Returns the member at the highest level of rollup in the hierarcy.
`MemberInterface[]` | `getTopMembers()` Returns member/s at the highest level of rollup in the hierarcy.

Methods inherited from interface com.sas.storage.olap.MetadataEntityInterface
`getCreationDateTime, getDescription, getLabel, getMetadata, getName, getUniqueName, getUpdateDateTime`

Field Detail

### UNSPECIFIED_STRUCTURE

    static final int UNSPECIFIED_STRUCTURE

  Unspecified structure type of this hierarhy

  See Also:
    Constant Field Values

### FULLY_BALANCED_STRUCTURE

    static final int FULLY_BALANCED_STRUCTURE

  fully balanced structure type of this hierarhy

  See Also:
    Constant Field Values

### RAGGED_BALANCED_STRUCTURE

    static final int RAGGED_BALANCED_STRUCTURE

  Ragged structure type of this hierarhy

  See Also:
    Constant Field Values

### UNBALANCED_STRUCTURE

    static final int UNBALANCED_STRUCTURE

  Unbalanced structure type of this hierarhy

  See Also:
    Constant Field Values

### NETWORK_STRUCTURE

    static final int NETWORK_STRUCTURE

  Netwrok structure type of this hierarhy

  See Also:
    Constant Field Values

Method Detail

### getStructure

    int getStructure()
                     throws OLAPException

  Get the sturcture type of this hierarchy.

  Returns:
    if the hierarchy is balanced, ragged, unbalanced etc.
  Throws:
    `OLAPException`

### getMembers

    MemberInterface[] getMembers()
                                 throws OLAPException

  Get all the members that belong to this hierarchy.

  Returns:
    an array of MemberInterface objects that belong to this hierarchy
  Throws:
    `OLAPException` - if the database error occurs

### getCube

    CubeInterface getCube()
                          throws OLAPException

  Returns the name of the cube to which the hierarchy belongs.

  Returns:
    The name of the cube to which the hierarchy belongs.
  Throws:
    `OLAPException` - if a database error occurs

### getDefaultMember

    MemberInterface getDefaultMember()
                                     throws OLAPException

  Returns the default member for this hierarchy.

  Returns:
    The default member for this hierarchy.
  Throws:
    `OLAPException` - if a database error occurs

### getTopMember

    MemberInterface getTopMember()
                                 throws OLAPException

  Returns the member at the highest level of rollup in the hierarcy. This can be different from the defaultMember.

  Returns:
    The member at the highest level of rollup in the hierarchy.
  Throws:
    `OLAPException` - if a database error occurs * @deprecated

### getTopMembers

    MemberInterface[] getTopMembers()
                                    throws OLAPException

  Returns member/s at the highest level of rollup in the hierarcy. This can be different from the defaultMember.

  Returns:
    Array of members at the highest level of rollup in the hierarchy.
  Throws:
    `OLAPException` - if a database error occurs

### getMemberCount

    int getMemberCount()
                       throws OLAPException

  Returns the number of members in this hierarchy

  Returns:
    The number of members in this hierarchy
  Throws:
    `OLAPException` - if a database error occurs

### getDimension

    DimensionInterface getDimension()
                                    throws OLAPException

  Returns the dimension that this hierarchy is a child of.

  Returns:
    The dimension that parents this hierarchy.
  Throws:
    `OLAPException` - if a database error occurs

### getLevels

    LevelInterface[] getLevels()
                               throws OLAPException

  Returns the levels associated with this hierarchy.

  Returns:
    An array of levels associated with this hierarchy.
  Throws:
    `OLAPException` - if a database error occurs

### getFilter

    Filter getFilter()
                     throws OLAPException

  Returns a copy of the Filter object that was used to obtain this HierarchyInterface. The filter object may be applied explicitly via the MetadataInterface, or it may be created implicitly via a getHierarchies() method.

  Returns:
    A copy of the Filter object that was used to obtain this HierarchyInterface
  Throws:
    `OLAPException` - if a database error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.